POST
Create an employee
Scope:
team:employees.writehttps://api.holded.com/api/v2/employeesCreates a new employee. The response returns the new employee `id`.
Request body
object
namestringrequired
First name
last_namestringrequired
Last name
emailstring<email>required
Primary email
workplace_idstring | nulloptional
Workplace ID
phonestring | nulloptional
Phone number
mobilestring | nulloptional
Mobile number
date_of_birthstring | nulloptional
Date of birth
genderstring | nulloptional
Gender
main_languagestring | nulloptional
Main language code
nationalitystring | nulloptional
Nationality code
codestring | nulloptional
Employee code
social_security_numberstring | nulloptional
Social security number
ibanstring | nulloptional
IBAN
reporting_tostring | nulloptional
Reporting-to employee ID
team_ids[]string[] | nulloptional
Team IDs
Request
python
import requests
url = "https://api.holded.com/api/v2/employees"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Accept": "application/json",
}
payload = {
"name": "string",
"last_name": "string",
"email": "user@example.com",
"workplace_id": "string",
"phone": "string",
"mobile": "string",
"date_of_birth": "string",
"gender": "string",
"main_language": "string",
"nationality": "string",
"code": "string",
"social_security_number": "string",
"iban": "string",
"reporting_to": "string",
"team_ids": [
"string"
]
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())Responses
Response
json
{
"id": "507f1f77bcf86cd799439011"
}Success responses
201Employee createdapplication/jsonobject
idstring
Error responses
400Bad requestapplication/json401Invalid or missing API keyapplication/json403Insufficient permissionsapplication/json409An employee with this email already existsapplication/jsonobject
typestring
titlestring
statusinteger
detailstring
422Validation errorapplication/json429Rate limit exceededapplication/json